MDBX_DUMP(1)

NAME
mdbx_dump - MDBX environment export tool

SYNOPSIS
mdbx_dump [-V] [-q] [-f file] [-l] [-p] [-a | -s subdb] [-r] [-n] dbpath

DESCRIPTION
The mdbx_dump utility reads a database and writes its contents to the standard output using a portable flat-text format understood by the mdbx_load(1) utility.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-q  Be quiet.

-f file
    Write to the specified file instead of to the standard output.

-l  List the databases stored in the environment. Just the names will be listed, no data will be output.

-p  If characters in either the key or data items are printing characters (as defined by isprint(3)), output them directly. This option permits users to use standard text editors and tools to modify the contents of databases. Note: different systems may have different notions about what characters are considered printing characters, and databases dumped in this manner may be less portable to external systems.

-a  Dump all of the subdatabases in the environment.

-s subdb
    Dump a specific subdatabase. If no database is specified, only the main database is dumped.

-r  Rescure mode. Ignore some errors to dump corrupted DB.

-u  Warms up the DB before dumping via notifying OS kernel of subsequent access to the database pages.

-U  Warms up the DB before dumping, notifying the OS kernel of subsequent access to the database pages, then forcibly loads ones by sequential access and tries to lock database pages in memory.

-n  Dump an MDBX database which does not use subdirectories. This is legacy option. For now MDBX handles this automatically.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error. Dumping and reloading databases that use user-defined comparison functions will result in new databases that use the default comparison functions. In this case it is quite likely that the reloaded database will be damaged beyond repair permitting neither record storage nor retrieval. The only available workaround is to modify the source for the mdbx_load(1) utility to load the database using the correct comparison functions.

SEE ALSO
mdbx_load(1), mdbx_copy(1), mdbx_chk(1), mdbx_stat(1) mdbx_drop(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>, Leonid Yuriev <https://gitflic.ru/user/erthink>